Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Start connecting a Gmail mailbox
GET
/api/v1/email/oauth/google
const url = 'https://api.pitch2sale.com/api/v1/email/oauth/google';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.pitch2sale.com/api/v1/email/oauth/googleBrowser redirect to Google consent; authenticates with the access token query parameter because it is opened as a navigation.
Responses
Section titled “Responses”Redirect to Google
Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}